Record attendance by participant email and external event ID
Records the participation of multiple HubSpot contacts in a Marketing Event using their email addresses.
If a contact does not exist, it will be automatically created. The contactProperties field is used exclusively for creating new contacts and will not update properties of existing contacts.
Additional Functionality:
- Adds a timeline event to the contacts.
Allowed Properties: For the state “attend”:
- joinedAt
- leftAt
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The ID of the marketing event in the external event application.
The state of the subscriber, which can be used to indicate their attendance status.
Query Parameters
The account ID associated with the marketing event in the external event application.
Body
List of marketing event details to create or update
Response
successful operation
Timestamp that represents when the request finished processing
An array of results from the batch operation, each containing details about a subscriber email response.
Timestamp that represents when the request started processing
The status of the request processing
CANCELED, COMPLETE, PENDING, PROCESSING An array of errors encountered during the batch operation, each providing details about the error.
Result of the request
The number of errors that occurred during the processing
Timestamp that represents when the request was made